PHP Manual
Prev |  | Next

# swf_polarview

(PHP 4, PECL)

swf_polarview -- Define the viewer's position with polar coordinates

## Description

void swf_polarview ( float dist, float azimuth, float incidence, float twist )

The swf_polarview() function defines the viewer's position in polar coordinates.

## Parameters

`dist`

  The distance between the viewpoint to the world space origin.

`azimuth`

  Defines the azimuthal angle in the x,y coordinate plane, measured in distance from the y axis.

`incidence`

  Defines the angle of incidence in the y,z plane, measured in distance from the z axis. The incidence angle is defined as the angle of the viewport relative to the z axis.

`twist`

  Specifies the amount that the viewpoint is to be rotated about the line of sight using the right hand rule.

## Return Values

No value is returned.

Prev | Home | Next
swf_placeobject | Up | swf_popmatrix